Bug 729777 - Review Request: perl-Switch - A switch statement for Perl
Summary: Review Request: perl-Switch - A switch statement for Perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 19:19 UTC by Tom "spot" Callaway
Modified: 2011-08-22 15:17 UTC (History)
4 users (show)

Fixed In Version: perl-Switch-2.16-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 15:17:36 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2011-08-10 19:19:07 UTC
Spec URL: http://spot.fedoraproject.org/perl-Switch.spec
SRPM URL: http://spot.fedoraproject.org/perl-Switch-2.16-1.fc15.src.rpm
Description: 
Switch.pm provides the syntax and semantics for an explicit case mechanism for
Perl. The syntax is minimal, introducing only the keywords C<switch> and
C<case> and conforming to the general pattern of existing Perl control
structures. The semantics are particularly rich, allowing any one (or more) of
nearly 30 forms of matching to be used when comparing a switch value with its
various cases.

NOTE: This module used to be in core perl, but was dropped in 5.14. This means that I will only need this package in f16+.

Comment 1 Paul Howarth 2011-08-11 10:17:40 UTC
spot.fedoraproject.org => NXDOMAIN

Comment 2 Emmanuel Seyman 2011-08-11 12:30:59 UTC
I'm going to pretend that reads :

Spec URL: http://spot.fedorapeople.org/perl-Switch.spec
SRPM URL: http://spot.fedorapeople.org/perl-Switch-2.16-1.fc15.src.rpm

Taking.

Comment 3 Emmanuel Seyman 2011-08-11 12:58:41 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:  http://koji.fedoraproject.org/koji/taskinfo?taskID=3265813

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
bf75dc7f171b4718a2118c3d6cbe6013  Switch-2.16.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3265813
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=3, Tests=590,  1 wallclock secs ( 0.06 usr  0.01 sys +  0.39 cusr  0.01 csys =  0.47 CPU)
Result: PASS

APPROVED.

Comment 4 Tom "spot" Callaway 2011-08-11 18:22:21 UTC
New Package SCM Request
=======================
Package Name: perl-Switch
Short Description: A switch statement for Perl
Owners: spot
Branches: f16
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2011-08-11 18:40:08 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-08-11 19:39:04 UTC
perl-Switch-2.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Switch-2.16-1.fc16

Comment 7 Fedora Update System 2011-08-12 04:21:42 UTC
perl-Switch-2.16-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 8 Fedora Update System 2011-08-22 15:17:31 UTC
perl-Switch-2.16-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.